<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$file = 'inwreg_fr.php';

$supplier = $_POST["supplier"];
$p = $_GET["p"];
$ptype = $_POST["ptype"];
$pchtype = $_POST["pchtype"];
$dtype = $_POST["dtype"];
$gsttype = $_POST["gsttype"];

if (!empty($supplier)) {
    $suppcond = " AND `party` = '$supplier' ";
    $suppcond2 = " AND `accode` = '$supplier' ";
}
if (!empty($p)) {
    $pcond = " AND `party` = '$p' ";
}
if (!empty($ptype)) {
    $ptypecond = " AND `paidby`= '$ptype'";
}

if ($ptype == "C") {
    $paytype = "CASH";
} else {
    $paytype = "CREDIT";
}

$formname = 'Inward Register';

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}


if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
}

if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
} else {

    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; outreg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; outreg.php");
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
} else {
    $gstcond = "";
}
//browse(1);
if (isset($_POST["view"]) || ($_GET["view"])) {


    include("includes/linkshead.php");
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }
    </style>
    </head>

    <body>


        <div class="container-fluid">
            <?php
            include("includes/head_rep.php");





            $getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `inwmain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno") or die(mysqli_error($conn));


            $getno2 = mysqli_num_rows($getpmain2);
            //browse(1);


            if ($getno2 > 0) {
            ?>
                <table class="table table-condesed table-bordered">
                    <tr class="mySearchTr">
                        <!--9221292520-->
                        <th width="100%" class="h4" style="color:white"><b>Inward Register</b></th>
                    </tr>
                    <tr>
                        <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                            Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                        </td>
                    </tr>
                </table>
                <?php if ($ptype != "") { ?>
                    <table width="100%" class="table" style="background-color: #98F9F0">
                        <tr>
                            <td width="7%" style="font-size:14px">Pay Type : </td>
                            <td width="93%" style="font-size:14px"><b><?php echo $paytype; ?></b></td>
                        </tr>
                    </table>
                <?php } ?>
                <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                    <thead class="mySearchTr">
                        <tr>
                            <th width="3%;">Sr. No.</th>
                            <th width="4%;">Voucher No.</th>
                            <th width="6%;">Date</th>
                            <th width="20%;" class="text-right">Total</th>
                            <th width="67%;">Remarks</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $pctr = 0;
                        $ptotamt = 0;
                        $ptotdiscamt = 0;
                        $ptottaxable = 0;
                        $ptotgst3 = 0;
                        $ptotgst5 = 0;
                        $ptotgst12 = 0;
                        $ptotgst18 = 0;
                        $ptotgst28 = 0;
                        $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                        $pchtypecond = "";

                        //                                $getpmain_p = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `rawmain` WHERE `vouchdt` >= '$mfrmdate' 
                        //                                        AND `vouchdt` <= '$mtodate' $suppcond $godowncond $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));
                        //browse(1);

                        while ($pmain = mysqli_fetch_array($getpmain2)) {
                            //                                    if ($pmain['paidby'] == "C") {
                            //                                        $ptyped = "CASH";
                            //                                    } else {
                            //                                        $ptyped = "CREDIT";
                            //                                    }


                            $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                            $sparty = mysqli_fetch_array($gparty);

                            $voucher = $pmain['vouchno'];
                            $mydt = $pmain['mydt'];
                            $total = $pmain['grossamt'];
                            $remark1 = $pmain['rem1'];
                            $remark2 = $pmain['rem2'];

                            $pctr++;
                            echo "<tr data-href='purchase.php?mode=edit&vouchno=$voucher' class='clickable-row2' [target]='_blank'>";
                            echo "<td>$pctr</td>";
                            echo "<td>$voucher</td>";
                            echo "<td>$mydt</td>";
                            echo "<td class='text-right'>$total</td>";
                            echo "<td>$remark1 $remark2</td>";
                            echo "</tr>";



                            $pgrtotal = $pgrtotal + $total;
                            $pgrtotdis = $pgrtotdis + $totdisc;
                            $pgrtotvat = $pgrtotvat + $totvat;
                            $pgrtotbillamt = $pgrtotbillamt + $billamt;

                            if ($_POST["dtype"] == 2) {

                                echo "<tr style='height:10px;'>";
                                echo "<td colspan='25'>";
                                echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                echo "<thead>";
                                echo "<tr class='' style='background-color:#BABFC2'>";
                                echo "<th style='width:5%;'>Sr. No. </th>";
                                echo "<th style='width:25%;' class=''>Item</th>";
                                echo "<th style='width:10%;' class=''>Size</th>";
                                echo "<th style='width:10%;' class=''>Qty.</th>";
                                echo "<th style='width:10%;' class=''>Unit</th>";
                                echo "<th style='width:20%;' class=''>Cost</th>";
                                echo "<th style='width:20%;' class=''>Amount</th>";
                                echo "</tr>";
                                echo "<thead>";
                                echo "<tr>";

                                $ctr2 = 0;
                                $pctr2 = 0;
                                $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                $gettran = mysqli_query($conn, "SELECT * FROM `inwtran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                while ($tran = mysqli_fetch_array($gettran)) {

                                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                    $showitem = mysqli_fetch_array($getitem);

                                    $ctr2++;
                                    echo "<tr>";
                                    echo "<td>$ctr2</td>";
                                    echo "<td>$showitem[name]</td>";
                                    echo "<td class='text-right'>$tran[size]</td>";
                                    echo "<td class='text-right'>$tran[qty]</td>";
                                    echo "<td class='text-right'>$tran[unit]</td>";
                                    echo "<td class='text-right'>$tran[rate]</td>";
                                    echo "<td class='text-right'>$tran[amount]</td>";
                                    echo "</tr>";

                                    $pcartqty = $pcartqty + $tran['cartqty'];
                                    $pqty = $pqty + $tran['qty'];
                                    $ptotqty = $ptotqty + $tran['totqty'];
                                    $ptotamount = $ptotamount + $tran['amount'];
                                    $ptotdiscount = $ptotdiscount + $tran['discamt'];
                                    $ptotvat = $ptotvat + $tran['vat'];
                                    $ptotal = $ptotal + $tran['total'];
                                }

                                echo "<tr>";
                                //                                        Echo "<td></td>";
                                //                                        Echo "<td></td>";
                                // Echo "<td></td>";
                                echo "<td>Total</td>";
                                echo "<td class='text-right'>$pqty</td>";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td class='text-right'>$ptotamount</td>";
                                echo "</tr>";
                                echo "</table>";
                            }
                        }
                        echo "<tr>";
                        echo "<td></td>";
                        echo "<td></td>";
                        //                                Echo "<td></td>";
                        //                                Echo "<td></td>";

                        if ($ptype != "") {
                            echo "<td></td>";
                        }

                        echo "<td class='text-right'><b>Total</b></td>";
                        echo "<td class='numeric text-right'><b>" . number_format($pgrtotal, 2) . "</b></td>";
                        echo "<td></td>";
                        echo "</tr>";
                        ?>
                    </tbody>
                </table>
            <?php
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
    <?php
}

if (isset($_POST["excel"])) {

    $getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `inwmain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno") or die(mysqli_error($conn));


    $getno2 = mysqli_num_rows($getpmain2);

    if ($getno2 > 0) {
        if ($ptype != "") {
    ?>
<?php
        }
        $contents .= "Sr, Voucher, Date, Total, Remarks \n";

        $pctr = 0;
        $ptotamt = 0;
        $ptotdiscamt = 0;
        $ptottaxable = 0;
        $ptotgst3 = 0;
        $ptotgst5 = 0;
        $ptotgst12 = 0;
        $ptotgst18 = 0;
        $ptotgst28 = 0;
        $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
        $pchtypecond = "";

        while ($pmain = mysqli_fetch_array($getpmain2)) {

            $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
            $sparty = mysqli_fetch_array($gparty);

            $voucher = $pmain['vouchno'];
            $mydt = $pmain['mydt'];
            $total = $pmain['grossamt'];
            $remark1 = $pmain['rem1'];
            $remark2 = $pmain['rem2'];

            $pctr++;
            $contents .= "$pctr" . ",";
            $contents .= "$voucher" . ",";
            $contents .= "$mydt" . ",";
            $contents .= "$total" . ",";
            $contents .= "$remark1 $remark2" . "\n";

            $pgrtotal = $pgrtotal + $total;
            $pgrtotdis = $pgrtotdis + $totdisc;
            $pgrtotvat = $pgrtotvat + $totvat;
            $pgrtotbillamt = $pgrtotbillamt + $billamt;

            if ($_POST["dtype"] == 2) {


                $contents .= "Sr, Item, Size, Qty., Unit, Cost, Amount \n";

                $ctr2 = 0;
                $pctr2 = 0;
                $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                $gettran = mysqli_query($conn, "SELECT * FROM `inwtran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                while ($tran = mysqli_fetch_array($gettran)) {

                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                    $showitem = mysqli_fetch_array($getitem);

                    $ctr2++;


                    $contents .= "$ctr2" . ",";
                    $contents .= "$showitem[name]" . ",";
                    $contents .= "$tran[size]" . ",";
                    $contents .= "$tran[qty]" . ",";
                    $contents .= "$tran[unit]" . ",";
                    $contents .= "$tran[rate]" . ",";
                    $contents .= "$tran[amount]" . "\n";

                    $pcartqty = $pcartqty + $tran['cartqty'];
                    $pqty = $pqty + $tran['qty'];
                    $ptotqty = $ptotqty + $tran['totqty'];
                    $ptotamount = $ptotamount + $tran['amount'];
                    $ptotdiscount = $ptotdiscount + $tran['discamt'];
                    $ptotvat = $ptotvat + $tran['vat'];
                    $ptotal = $ptotal + $tran['total'];
                }


                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "Total" . ",";
                $contents .= "$pqty" . ",";
                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "$ptotamount" . "\n";
            }
        }
        $contents .= "" . ",";
        $contents .= "" . ",";


        if ($ptype != "") {
            $contents .= "" . ",";
            $contents .= "" . ",";
        }
        $contents .= "Total" . ",";
        $contents .= "$pgrtotal" . ",";
        $contents .= "" . "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>